### Hierarchy

- EmptyDrawable
  - PolygonBase
    - NoisyPolygonBase

## Index

### Constructors

- constructor

### Properties

- vertices
- descriptor

### Methods

- getObjectToSerialize
- minDistance

## Constructors

### constructor

- new PolygonBase(vertices: Array<vec2>): PolygonBase

- - Defined in drawables/shapes/polygon-factory.ts:11

  #### Parameters

  - ##### vertices: Array<vec2>

  #### Returns PolygonBase

## Properties

### vertices

vertices: Array<vec2>

- Defined in drawables/shapes/polygon-factory.ts:12

### Static Readonly descriptor

descriptor: DrawableDescriptor

Inherited from EmptyDrawable.descriptor

Overrides Drawable.descriptor

- Defined in drawables/empty-drawable.ts:11

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Inherited from EmptyDrawable.getObjectToSerialize

  Overrides Drawable.getObjectToSerialize

  - Defined in drawables/empty-drawable.ts:19

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Inherited from EmptyDrawable.minDistance

  Overrides Drawable.minDistance

  - Defined in drawables/empty-drawable.ts:14

  #### Parameters

  - ##### target: vec2

  #### Returns number